Back to LinkedIn
Apify·LinkedIn

Search LinkedIn Profiles (by Name)

/harvestapi/linkedin-profile-search-by-nameasync$0.015 / result

Search for LinkedIn profiles by name with filters and extract detailed profile information, including work experience, education history, location and more. No cookies or account required. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
FieldTypeRequiredDescription
profileScraperModestring (Short, Full, Full + email search)yesChoose the mode for scraping LinkedIn profiles. The Short mode provides basic information, while the Full mode includes full detailed profile data.
firstNamestringFirst name of the person to search for.
lastNamestringLast name of the person to search for.
strictSearchbooleanEnabling strict search will ensure that only profiles matching both the first and last names exactly are returned. (default true)
maxPagesintegerMaximum number of pages to scrape for each query. The actor will stop scraping when this limit is reached.
locationsarrayFilter Profiles by these LinkedIn locations. Example: `San Francisco`. LinkedIn does not always understand your text queries. For example for "UK" query it will apply "Ukraine" location, so you should use "United Kingdom" in this case. Try this out first in the location filter input of LinkedIn sear
currentCompaniesarrayFilter Profiles by these LinkedIn companies. Provide full LinkedIn URLs
pastCompaniesarrayFilter Profiles by these LinkedIn past companies. Provide full LinkedIn URLs
schoolsarrayFilter Profiles by these LinkedIn schools. Example: `Stanford University`.
currentJobTitlesarrayFilter Profiles by these LinkedIn current job titles. Example: `Software Engineer`.
industryIdsarrayFilter Profiles by these LinkedIn industry IDs. Example: `4` for 'Software Development'. Full list: `https://github.com/HarvestAPI/linkedin-industry-codes-v2/blob/main/linkedin_industry_code_v2_all_eng_with_header.csv`
maxItemsintegerMaximum number of profiles to scrape. The actor will stop scraping when this limit is reached.

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/harvestapi/linkedin-profile-search-by-name","input":{"profileScraperMode":"Full"}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.